﻿* Encoding: UTF-8.
* Encoding: .

* Notes - females coded as 0, males as 1. Rumination condition coded as 1 and Control coded as 2. 


*Reversing scales, recode into diff variables 
* Reverse rumination first measure

RECODE RIQ1 (1=7) (2=6) (3=5) (4=4) (5=3) (6=2) (7=1) INTO RIQ1R.
EXECUTE.

RECODE RIQ3 (1=7) (2=6) (3=5) (4=4) (5=3) (6=2) (7=1) INTO RIQ3R.
EXECUTE.

RECODE RIQ9 (1=7) (2=6) (3=5) (4=4) (5=3) (6=2) (7=1) INTO RIQ9R.
EXECUTE.

* reliability measure for first RI

RELIABILITY
  /VARIABLES=RIQ2 RIQ4 RIQ5 RIQ7 RIQ8 RIQ10 RIQ1R RIQ3R RIQ9R RIQ6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=SCALE CORR
  /SUMMARY=TOTAL.

* mean for first  RI

COMPUTE Rumination1=Mean(RIQ2,RIQ4,RIQ5,RIQ7,RIQ8,RIQ10,RIQ1R,RIQ3R,RIQ9R,RIQ6).
EXECUTE.

* descriptives - frequencies first RI

FREQUENCIES VARIABLES=Rumination1
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN
  /ORDER=ANALYSIS.


* reverse rumination second measurement

RECODE RI2Q1 (1=7) (2=6) (3=5) (4=4) (5=3) (6=2) (7=1) INTO RI2Q1R.
EXECUTE.

RECODE RI2Q3 (1=7) (2=6) (3=5) (4=4) (5=3) (6=2) (7=1) INTO RI2Q3R.
EXECUTE.

RECODE RI2Q9 (1=7) (2=6) (3=5) (4=4) (5=3) (6=2) (7=1) INTO RI2Q9R.
EXECUTE.

*reliability rumination second measurement

RELIABILITY
  /VARIABLES=RI2Q2 RI2Q4 RI2Q5 RI2Q7 RI2Q8 RI2Q10 RI2Q1R RI2Q3R RI2Q9R RI2Q6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=SCALE CORR
  /SUMMARY=TOTAL.

* compute mean rumination second measurment

COMPUTE Rumination2=Mean(RI2Q2,RI2Q4,RI2Q5,RI2Q7,RI2Q8,RI2Q10,RI2Q1R,RI2Q3R,RI2Q9R,RI2Q6).
EXECUTE.

* descriptives - frequencies second RI

FREQUENCIES VARIABLES=Rumination2
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN MEDIAN
  /ORDER=ANALYSIS.

** testing rumination first and second condition (compare the means of 2 conditions)

T-TEST GROUPS=Condition(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=Rumination2
  /CRITERIA=CI(.95).

* manipulation check

GLM Rumination1 Rumination2 BY Condition
  /WSFACTOR=Rumination 2 Polynomial 
  /METHOD=SSTYPE(3)
  /EMMEANS=TABLES(OVERALL) 
  /EMMEANS=TABLES(Condition) 
  /EMMEANS=TABLES(Rumination) 
  /EMMEANS=TABLES(Condition*Rumination) 
  /PRINT=DESCRIPTIVE ETASQ 
  /CRITERIA=ALPHA(.05)
  /WSDESIGN=Rumination 
  /DESIGN=Condition.



** reliability for MW

RELIABILITY
  /VARIABLES=TUTQ1 TUTQ2 TUTQ3 TUTQ4 TUTQ5 TUTQ6 TUTQ7 TUTQ8 TUTQ9 TUTQ10 TUTQ11 TUTQ12 TUTQ13 
    TUTQ14 TUTQ15 TUTQ16
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=SCALE CORR
  /SUMMARY=TOTAL.


RELIABILITY
  /VARIABLES=TUTQ1 TUTQ2 TUTQ3 TUTQ4 TUTQ5 TUTQ6 TUTQ7 TUTQ8 
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=SCALE CORR
  /SUMMARY=TOTAL.


RELIABILITY
  /VARIABLES=TUTQ9 TUTQ10 TUTQ11 TUTQ12 TUTQ13 
    TUTQ14 TUTQ15 TUTQ16
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=SCALE CORR
  /SUMMARY=TOTAL.

* new variable - mean TUT

COMPUTE MW=mean(TUTQ1,TUTQ2,TUTQ3,TUTQ4,TUTQ5,TUTQ6,TUTQ7,TUTQ8,TUTQ9,TUTQ10,TUTQ11,TUTQ12,TUTQ13,
TUTQ14,TUTQ15,TUTQ16).
EXECUTE.

* mean TRI

COMPUTE TRI=mean(TUTQ1,TUTQ2,TUTQ3,TUTQ4,TUTQ5,TUTQ6,TUTQ7,TUTQ8).
EXECUTE.

* mean TUT 

COMPUTE TUT=mean(TUTQ9,TUTQ10,TUTQ11,TUTQ12,TUTQ13,TUTQ14,TUTQ15,TUTQ16).
EXECUTE.



* compare means of 2 conditions for MW &  TUT


T-TEST GROUPS=Condition(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=TRI
  /CRITERIA=CI(.95).

T-TEST GROUPS=Condition(1 2)
  /MISSING=ANALYSIS
  /VARIABLES=TUT
  /CRITERIA=CI(.95).


* means for each condition  for all variables

DATASET ACTIVATE DataSet2.
MEANS TABLES=Rumination1 Rumination2 MW TRI TUT BY Condition
  /CELLS=MEAN COUNT STDDEV.


* correlate first & second RI & MW

CORRELATIONS
  /VARIABLES=Rumination1 Rumination2 MW TRI TUT
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

**************************************************************** analysis as suggested by the reviewers 06/2018
* SeparatetTwo-way ANOVAs, with TRI & TUT as dependeint variables, state rumination as a factor, controlling for trait rumination

DATASET ACTIVATE DataSet1.
UNIANOVA TRI BY Condition WITH Rumination1
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=ETASQ PARAMETER OPOWER
  /CRITERIA=ALPHA(.05)
  /DESIGN=Rumination1 Condition.


DATASET ACTIVATE DataSet1.
UNIANOVA TUT BY Condition WITH Rumination1
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /PRINT=ETASQ PARAMETER OPOWER
  /CRITERIA=ALPHA(.05)
  /DESIGN=Rumination1 Condition.
